<?php
// $Horde: chora/config/mime_drivers.php.dist,v 1.1.2.1 2002/03/11 12:54:13 jan Exp $

/**
 * Decide which output drivers you want to activate for
 * the Chora module.
 * Right now, the choices are:
 *
 * text: Perform URL syntax highlighting on text portions 
 */

$mime_drivers_map['chora']['registered'] = array('text');

/**
 * If you want to specifically override any MIME type to be
 * handled by a specific driver, then enter it here.  Normally,
 * this is safe to leave, but it's useful when multiple drivers
 * handle the same MIME type, and you want to specify exactly
 * which one should handle it.
 */

$mime_drivers_map['chora']['overrides'] = array();

/**
 * Driver specific settings.  Here, you have to configure each
 * driver which you chose to activate above.  Default settings have
 * been filled in for them, and if you haven't activated it, then
 * just leave it as it is - it won't get loaded.
 *
 * The 'handles' setting below shouldn't be changed in most 
 * circumstances.  It registers a set of MIME type that the driver
 * can handle.  The 'x-extension' MIME type is a special one to
 * Horde that maps a file extension to a MIME type.  It's useful
 * when you know that all files ending in '.c' are C files, for
 * example.
 *
 * The 'icons' entry is for the driver to register various icons
 * for the MIME types it handles.  The array consists of a 
 * 'default' icon for that driver, and can also include specific
 * MIME-types which can have their own icons.
 *
 */

/**
 * Default driver settings
 */

$mime_drivers['chora']['default']['icons'] = array(
        'default' => 'text.gif' );

/**
 * Text driver settings
 */

$mime_drivers['chora']['text']['handles'] = array(
        'text/plain');
